<!-- Suggested Field Lengths -->

<pattern name="Suggested Field Lengths" see="http://purl.org/rss/1.0/">

    <rule context="rss:link">
        <assert test="string-length(.) &gt; 1 and
                      string-length(.) &lt; 500">
        The suggested length for link urls is between 1-500 characters
        </assert>
    </rule>

    <rule context="rss:title">
        
        <report test="(parent::rss:channel or parent::rss:title or parent::rss:image) and
                      (string-length(.) = 0 or
                       string-length(.) &gt; 40)">
        The suggested length for channel titles is between 1-40 characters
        </report>

        <report test="parent::rss:image and
                      (string-length(.) = 0 or
                       string-length(.) &gt; 100)">
        The suggested length for channel titles is between 1-100 characters
        </report>
        
    </rule>

    <rule context="rss:description">
        <report test="parent::rss:channel and
                      (string-length(.) = 0 or
                       string-length(.) &gt; 500)">
        The suggested length for channel descriptions is between 1-500 characters in length
        </report>

        <report test="parent::rss:item and
                      (string-length(.) = 0 or
                       string-length(.) &gt; 500)">
        The suggested length for item descriptions is between 1-500 characters in length
        </report>

        <report test="parent::rss:textinput and
                      (string-length(.) = 0 or
                       string-length(.) &gt; 500)">
        The suggested length for textinput descriptions is between 1-100 characters in length
        </report>
    </rule>

    <rule context="rss:name">
        <report test="string-length(.) = 0 or
                      string-length(.) &gt; 500">
        The suggested length for textinput names is between 1-500 characters in length
        </report>

    </rule>

    <rule context="rss:url">
        <report test="string-length(.) = 0 or
                      string-length(.) &gt; 500">
        The suggested length for image urls is between 1-500 characters in length</report>

    </rule>

</pattern>
