
<pattern name="RSS091 Module Structural Validation" see="http://purl.org/rss/1.0/">

    <rule context="rss091:language|rss091:rating|rss091:managingEditor|rss091:webmaster|
               rss091:pubDate|rss091:lastBuildDate|rss091:copyright">
        <assert test="parent::rss:channel">
        <name/> elements must only occur within a channel element
        </assert>
    </rule>

    <rule context="rss091:skipHours">
        <assert test="parent::rss091:channel">
        <name/> elements must only occur within a channel element
        </assert>
        <assert test="@rdf:parseType='Literal'">
        <name/> elements must have an rdf:parseType attribute 
        with the value 'Literal'
        </assert>
        <assert test="count(rss091:hour) &gt; 0">
        The <name /> element must contain at least one hour element
        </assert>
        <assert test="count(rss091:hour) &lt; 25">
        There is a limit of 24 hour elements within a <name/> element
        </assert>

    </rule>

    <rule context="rss091:skipDays">
        <assert test="parent::rss091:channel">
        <name/> elements must only occur within a channel element
        </assert>
        <assert test="@rdf:parseType='Literal'">
        <name/> elements must have an rdf:parseType attribute 
        with the value 'Literal'
        </assert>
        <assert test="count(rss091:day) &gt; 0">
        The <name /> element must contain at least one day element
        </assert>       
        <assert test="count(rss091:day) &lt; 8">
        There is a limit of 7 day elements within a <name /> element</assert>
    </rule>

    <rule context="rss091:hour">
        <assert test="parent::rss091:skipHours">
        <name /> elements can only occur in skipHours elements
        </assert>
    </rule>

    <rule context="rss091:day">
        <assert test="parent::rss091:skipDays">
        <name /> elements can only occur in skipHours elements
        </assert>
    </rule>
    
    <rule context="rss091:width|rss091:height">
        <assert test="parent::rss:image">
        <name /> elements can only occur within images.
        </assert>
    </rule>
    
    <rule context="rss091:desc091">
        <assert test="parent::rss:item or parent::rss:image">
        <name/> elements can only occur within items or images
        </assert>
    </rule>
    
</pattern>

<pattern name="RSS091 Module Content Validation" see="http://purl.org/rss/1.0/">

        <rule context="rss091:day">
            <assert test=". = 'Monday' or . = 'Tuesday' or . = 'Wednesday' or
                          . = 'Thursday' or . = 'Friday' or
                          . = 'Saturday' or . = 'Sunday'">Days should be listed as Monday,
                          Tuesday, Wednesday, Thursday, Friday, Saturday and Sunday</assert>
        </rule>

        <rule context="rss091:hour">
            <assert test="number(.) &gt; 0 and number(.) &lt; 24">Hour values should be in
            the range 0-23</assert>
        </rule>

        <rule context="rss091:language">
            <assert test="string-length(.) &gt; 0">
            You must specify a valid language code within a language element</assert>
            <assert test=". = 'af' or . = 'sq' or . = 'eu' or . = 'be' or . = 'bg' or . = 'ca' or
                          . = 'zh-cn' or . = 'zh-tw' or . = 'hr' or . = 'cs' or . = 'da' or . = 'nl' or
                          . = 'nl-be' or . = 'nl-nl' or . = 'en' or . = 'en-au' or . = 'en-bz' or
                          . = 'en-ca' or . = 'en-ie' or . = 'en-jm' or . = 'en-nz' or . = 'en-ph' or
                          . = 'en-za' or . = 'en-tt' or . = 'en-gb' or . = 'en-us' or . = 'en-zw' or
                          . = 'fo' or . = 'fi' or . = 'fr' or . = 'fr-be' or . = 'fr-ca' or . = 'fr-fr' or
                          . = 'fr-lu' or . = 'fr-mc' or . = 'fr-ch' or . = 'gl' or . = 'gd' or . = 'de' or
                          . = 'de-at' or . = 'de-de' or . = 'de-li' or . = 'de-lu' or . = 'de-ch' or
                          . = 'el' or . = 'hu' or . = 'is' or . = 'in' or . = 'ga' or . = 'it' or
                          . = 'it-it' or . = 'it-ch' or . = 'ja' or . = 'ko' or . = 'mk' or . = 'no' or
                          . = 'pl' or . = 'pt' or . = 'pt-br' or . = 'pt-pt' or . = 'ro' or . = 'ro-mo' or
                          . = 'ro-ro' or . = 'ru' or . = 'ru-mo' or . = 'ru-ru' or . = 'sr' or . = 'sk' or
                          . = 'sl' or . = 'es' or . = 'es-ar' or . = 'es-bo' or . = 'es-cl' or . = 'es-co' or
                          . = 'es-cr' or . = 'es-do' or . = 'es-ec' or . = 'es-sv' or . = 'es-gt' or . = 'es-hn' or
                          . = 'es-mx' or . = 'es-ni' or . = 'es-pa' or . = 'es-py' or . = 'es-pe' or . = 'es-pr' or
                          . = 'es-es' or . = 'es-uy' or . = 'es-ve' or . = 'sv' or . = 'sv-fi' or . = 'sv-se' or . = 'tr' or
                          . = 'uk'">
            Invalid language code
            </assert>
        </rule>

        <rule context="rss091:width">
            <assert test="string-length(.) &gt; 0">Width elements should not be empty</assert>
        </rule>

        <rule context="rss091:height">
            <assert test="string-length(.) &gt; 0">Height elements should not be empty</assert>
        </rule>


</pattern>